=== AMP for WP - Accelerated Mobile Pages ===
Contributors: mohammed_kaludi, ahmedkaludi, ampforwp
Tags: AMP, accelerated mobile pages, mobile, amp project, google amp, amp wp, google, plugin, SEO
Donate link: https://www.paypal.me/Kaludi/25
Requires at least: 3.0
Tested up to: 6.2
Stable tag: 1.0.86
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

AMP for WP is the most recommended AMP plugin by the community. Automatically add Accelerated Mobile Pages (Google AMP Project) functionality on your WordPress site.

== Description ==
AMP for WP automatically adds Accelerated Mobile Pages (Google AMP Project) functionality to your WordPress site. AMP makes your website faster for Mobile visitors.

[What's New in this Version?](https://ampforwp.com/new/) | [Priority Support](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) | [View Demo](https://ampforwp.com/demo/) | [Screenshots](https://wordpress.org/plugins/accelerated-mobile-pages/screenshots/) | [Community](https://ampforwp.com/help-center/)

<strong>Extensions</strong><br>
Some useful extensions to extend AMP features, check [AMP Adsense Support](https://ampforwp.com/advanced-amp-ads/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Contact Form 7 Support](https://ampforwp.com/contact-form-7/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin), [Email Opt-in Support](https://ampforwp.com/opt-in-forms/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin) and [Call To Action Support](https://ampforwp.com/call-to-action/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin). To view more, go to our [Extensions page](https://ampforwp.com/extensions/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin).

<strong>Support</strong><br>
We try our best to provide support on WordPress.org forums. However, We have a special [community support](https://ampforwp.com/help-center/) where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means a lot to us and so we try our best to reply each and every question that gets asked.

<strong>Bug Reports</strong><br>
Bug reports for AMP for WP are [welcomed on GitHub](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages). Please note GitHub is _not_ a support forum, and issues that aren't properly qualified as bugs will be closed.


= Features: =

* NEW - Gutenberg Support
* NEW - Divi and Elementor Support [More Info](https://ampforwp.com/amp-pagebuilder-compatibility/)
* NEW - GDPR Compliance
* NEW - Google PageSpeed Optimization with SSR (Server Side Rendering)
* NEW - CSS Optimization (Tree Shaking) - This will automatically remove all the unused CSS from your AMP pages
* NEW - Google Font API and Local Fonts Support For All Designs
* Out of the box compatiblity for Yoast SEO, All in One Seo, Rank Math, Genesis, SEOPress, Bridge Qode SEO, The SEO Framework, SmartCrawl and Squrilly SEO Plugin.
* Introducing Page Builder 3.0 for AMP! [Learn More & Video](https://ampforwp.com/tutorials/article/amp-page-builder-installation/)
* New Default Theme for AMP called Swift
* 3 Pre-built AMP Layouts for Business websites and landing pages 
* OneSignal and TruePush Push Notifications integration 
* Advanced WooCommerce Support [More Info](https://ampforwp.com/woocommerce/)
* AMP Plugins Manager - Which allows you to disable a specific plugin functionality only in the AMP version
* Structured Data Options
* Page Break / NextPage (Pagination) Support
* Contact Form 7 Support [More Info](https://ampforwp.com/contact-form-7/)
* Graviry Form Support [More Info](https://ampforwp.com/gravity-forms/)
* Caldera Form Support [More Info](https://ampforwp.com/caldera-forms-for-amp/)
* Ninja Form Support [More Info](https://ampforwp.com/ninja-forms/)
* Facebook Comments Support
* Github Gist Support
* Email Opt-in Subscription form support in AMP added
* Call to Action boxes and notification bars 
* 9 Advertisement sizes - 2 More AD slots added recently
* Comments Forms in AMP.
* Native AMP Search functionality.
* Design 3 [Watch the Video Overview](https://www.youtube.com/watch?v=ub1pwskt3Rc)
* Disqus Comments Support
* Vuukle Comments Support
* Spot.IM Comments Support
* Google Tag Manager Support
* Page, Category & Tags Support Added
* Custom AMP Editor - Which allows you to override your Content that you had written in Post or page, so you can add the different content just for AMP.
* Mobile Redirection -  More than 50% of your traffic is from mobile and you aren’t doing anything to improve their user experience, which means you are falling behind on SEO and it can result in lower SERPS. Lightning fast mobile version means faster User experience means more engagement which directly results in the lower bounce rate.
* Custom Post Type Support 
* Custom Post Type Support 
* Star Ratings
* Drag & Drop Page builder Added 
* 4 Designs for AMP 
* AMP WooCommerce Support 
* Switch on/off Support for Pages & Posts on AMP
* Translation Panel & RTL
* Internal AMP linking - You can browse AMP pages internally
* Related posts below the post
* Recent Comments list
* Automatically integrate AMP to your website.
* Google Adsense (AMP-AD) Support with 6 different Ad slots across the layout! The First Plugin to have this capability.
* Built in MGID Ads Support with 6 different ad slots.
* Google Analytics Support.
* User Friendly Theme Options Panel.
* Unlimited Color Scheme.
* Image Logo Upload.
* Supports Posts and Pages and other custom post types.
* Proper rel canonical tags which means that Google know the original page.
* Overlay Navigation Menu bar.
* Social Sharing in the Single.
* Sexy Design.
* Separate WordPress Menu for AMP version.
* Page builder & Shortcodes Compatibility.
* Carousel support for Gallery.
* Better Image stretching and resizing.
* Youtube Video Embed Support.
* Vine Embed Support.
* Twitter oembed Support.
* Instagram Embed Support.
* Facebook Video Embed Support.
* RTL Support
* Custom AMP FrontPage
* Notifications
* Alexa Metrics, Chartbeat, Hi-stats, Yandex Metrika, Piwik, Segment.com, StatCounter, Effective Measure and comScore Builtin Support
* Incontent & DoubleClick Support
* Great Support & Active Development.
* Widgets & WooCommerce 
* Breadcrumb Support added 
* Facebook Instant Articles Support Added
* AMP Installation Wizard that makes it easy to setup for new users.
* Category base remover support
* Tag base remover support
* Addthis Sharing Support
* Infinite Scroll Support
* Photo Gallery by 10Web Support  
* 12 New Social Media Integrations added (Reddit, Tumblr, Telegram, Digg, StumbleUpon, Wechat, Viber, Hatena Bookmarks, Pocket, Yummly, MeWe, Flipboard) 
* AMP Theme Framework Core Support Added. You can now create AMP templates of your own in just minutes. **[More](https://ampforwp.com/amp-theme-framework/)**
* NEW - Make AMP & Non-AMP Same with just one click! 
* NEW - Allows you to use AMP as primary website!


**[JOIN CHAT GROUP COMMUNITY](https://ampforwp.com/community/)**: Purpose of this group is to get proper suggestions and feedback from plugin users and the community so that we can make the plugin even better.

= Getting Started: =
**[1. User Documentation:](https://ampforwp.com/help/)** The AMP for WordPress plugin is easy to setup but we have some tutorials and guides prepared for you which will help you dive deep with the plugin.

**[2. Developer Docs:](https://ampforwp.com/tutorials/article-categories/developer-documentation/)** We have created special documentations for developers and semi technical users who are willing to modify the plugin according to their own needs.

**[3. Support:](https://ampforwp.com/help-center/)** We try our best to provide support on WordPress.org forums. However, We have a special community support where you can ask us questions and get help about your AMP related questions. Delivering a good user experience means a lot to us and so we try our best to reply each and every question that gets asked.

**[4. Premium Support:](https://ampforwp.com/priority-support/#utm_source=wp_org&utm_medium=description-tab-pro-box&utm_campaign=AMP%20Plugin)** We will personally take care that your website’s AMP version is perfectly validated. We will make sure that your AMP version gets approved and indexed by Google Webmaster Tools properly and we will even keep an eye on AMP updates from Google and implement them into your website.

== Credits ==
Some code used in this plugin was forked from 'AMP for WordPress' plugin https://wordpress.org/plugins/amp/ - License URI: http://www.gnu.org/licenses/gpl-2.0.html.
Mobile & Tablet detection library used https://github.com/serbanghita/Mobile-Detect - License URI: https://github.com/serbanghita/Mobile-Detect/blob/master/LICENSE.txt
PHP CSS Parser library used https://github.com/sabberworm/PHP-CSS-Parser - License URI: https://github.com/sabberworm/PHP-CSS-Parser#license (PHP-CSS-Parser is freely distributable under the terms of an MIT-style license.)
AMP Optimizer library used https://github.com/ampproject/amp-toolbox/tree/main/packages/optimizer - License URI: https://github.com/ampproject/amp-toolbox#license (AMP Toolbox is made by the AMP Project, and is licensed under the Apache License, Version 2.0.)
GA4 Code used from https://github.com/analytics-debugger/google-analytics-4-for-amp - License URI: https://github.com/analytics-debugger/google-analytics-4-for-amp/blob/main/LICENSE

== Installation ==
**[Visit Help area for the Documentation:](https://ampforwp.com/help/)**

[youtube https://www.youtube.com/watch?v=Em1nsE_KaKw]

**[Visit Help area for the Documentation:](https://ampforwp.com/help/)**


== Frequently Asked Questions ==

= Can I add analytics? =

Yes, you easily can. In fact, we have support for 12 Analytics companies. Including Google Analytics, Facebook Pixel, StatCounter, QuantCast, Chartbeat, comScore to list a few. Also, we have Google Tag Manager (GTM) support as well.

= Can I add Ads in my AMP pages? =

Yes, you can. We have 6 ad placement slots that are built in and strategically placed to get maximum views. Also, we have [an extension](https://ampforwp.com/advanced-amp-ads/) from which you can insert ads between the content, will get more ad slots and also add custom banners to all the available slots.


= Can I extend/Change the AMP design, so it suits my needs? =

Yes, you easily can. We have created this plugin in such a way that it can easily be extended. Check out our [AMP Theme Framework](https://ampforwp.com/tutorials/article/getting-started-amp-framework/)


= Do you have any prebuilt designs? =

Yes, we have AMP themes section where we have free and paid designs available. We also update it regularly. You can check it out our [AMP Themes](https://ampforwp.com/themes)


= I'm a developer and I want to add custom functionality for a client, can I do that? =

Yes, of course. This plugin is very developer friendly, we have lots of hooks and filters that you can use to extend and customize according to the requirements. Also, we have [developer documentation](https://ampforwp.com/tutorials/article-categories/developer-documentation/) which we update regularly.


= How do I report bugs and suggest new features? =

You can report the bugs [here](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues)

= Will you Add New features to my request? =

Yes, Absolutely! We would suggest you send your feature request by creating an issue in [Github](https://github.com/ahmedkaludi/Accelerated-Mobile-Pages/issues/new/) . It helps us organize the feedback easily.


= How do I get in touch? =

You can contact us from [here](https://ampforwp.com/contact/)


== Screenshots ==
1. AMP Homepage
2. AMP Single Post
3. Post Navigation in Single
4. Sticky Social sharing icons
5. Overlay Navigation menu sidebar.
6. Page builder of the Single article. You can drag and drop any element.
7. Single post of Design One
8. GTMetrix Performance Report
9. Google PageSpeed Insight report for AMP
10. Homepage of Design One
11. Pingdom Speed Report for AMP

Device testing done through [BrowserStack](https://www.browserstack.com)
![BrowserStack](https://user-images.githubusercontent.com/16618009/53022655-a24ea780-3481-11e9-9a48-a2ca5bcd96d6.png)

== Changelog ==

= 1.0.86 (8th June 2023) =
* Fixed: Content Sneak Peek not working #5446
* Fixed: Need to add the name and attribute to the elements. #5439
* Fixed: Compatibility with OpenSea plugin #5384
* Fixed: Compatibility with the plugin WordProof. #5342
* Fixed: WPCore Module of Search is throwing error in AMP validation #5450
* Fixed: NON-AMP site is slowed down if the mobile redirection is enabled in AMP #5451
* Fixed: "Preview AMP" shows a blank modal #5454

= 1.0.85 (10th May 2023) =
* Fixed: Notice : Function WP_Scripts::localize was called incorrectly. The $l10n parameter must be array #5435
* Fixed: PHP error after the recent update 1.0.84 #5436
* Fixed: Dismiss button not working #5437
* Fixed: Issue with Google Font and Global Font Weight Selector #5440
* Fixed: Some issue in extension section #5433

= 1.0.84 (28th April 2023) =
* Fixed: Conflict issue with Jetpack Tiled gallery #5424
* Fixed: An Author's page amphtml is not getting generated if the author name has "-" character. #5426
* Fixed: Incorrect hook used to add admin scripts #4457
* Fixed: when user is not an ampforwp admin, then newely created posts are not getting added in the instantarticles feed #4588
* Fixed: Fatal error with Nitropack #5427
* Fixed: Conflict issue with Imagify and WP Offload Media Lite plugin #5432
* Fixed: The Analytic option Google Tag Manager is causing an error in the console while using with AMP Pop-up #5429
* Improvement: Test with WordPress 6.2 and update Tested Up To in readme.txt #5431

= 1.0.83 (4th April 2023) =
* Fixed: The Facebook like button is not showing up properly on the AMP version. #5416
* Fixed: Conflict WP-Bakery page builder with AMP. #5417
* Fixed: Deprecated error messages in debug log in wordpress 6.2. #5418

= 1.0.82 (24th March 2023) =
* Fixed: Callrail conflicting with contact number format. #5392
* Fixed: Adobe Analytics support in AMPforWP. #5395
* Fixed: While AMP is active, errors and warnings appear on the user website.  #5396
* Fixed: The attribute "action" may not appear in tag form. #5398
* Fixed: View non-amp and Leave a comment not working. #5404
* Fixed: While using the Yuki Blogger theme, when we edit the AMP customization, it shows a fatal error. #5405
* Fixed: The option Infinite Scroll is not working. #5408
* Fixed: An error is appearing on GSC "custom java Script is not allowed. #5411
* Fixed: An error is appearing on GSC due to an option of the plugin Embed Plus YouTube WordPress Plugin #5413

= 1.0.81 (27th February 2023) =
* Fixed: When selecting a post with custom structure /%postname%/amp/ issue resolved. #5379
* Fixed: TagDiv composer recent posts grid breaks if the AMP takeover is enabled issue resolved #5387
* Fixed: Validation error while using the JetPack Boost plugin issue resolved #5391
* Fixed: Warning: Cannot modify header information - headers already sent issue resolved #5394
* Fixed: Product Base Remover not working properly with ?amp issue resolved #5397

= 1.0.80 (10th February 2023) =
* Improvements: Added Support for Google Analytics 4 #4793 (Thanks to David Vallejo)
* Improvements: Added 3D Viewer plugin compatibility #5372
* Fixed: Getting error Attribute 'visible-when-invalid' missing or incorrect issue resolved #5382
* Fixed: AMP version removing the "\_blank" attribute #5383
* Fixed: Autoplay is not working #5386
* Fixed: Uncaught TypeError: count() Argument #1 must be of type Countable|array issue resolved #5388

= 1.0.79 (25th January 2023) =
* Fixed: Errors because of the FAQ blocks of schema issue resolved #5352
* New  : Core Web Vitals Option  #5363

= 1.0.78 (10th January 2023) =
* Fixed: Unnecessary character showing issue resolved #5334
* Fixed: Youtube close button not appearing in lightbox issue resolved #5357
* Fixed: Iframe code not loading issue resolved #5358
* Fixed: Jet Booster not connecting to site issue resolved #5362
* Fixed: After the update there is no control="" in video's code issue resolved #5366
* Fixed: Warning: Array to string conversion issue resolved #5367
* Fixed: TypeError: jQuery(...).typeWatch is not a function issue resolved #5368
* Fixed: Removed Offer Bannner #5370
* Fixed: Fatal error: Uncaught TypeError: array_merge() issue resolved #5371
* Fixed: Fatal error: Uncaught TypeError: call_user_func_array() issue resolved #5373

= 1.0.77.55.1 (2nd January 2023) =
* Fixed: Disallowed attribute or attribute value present in HTML tag error issue resolved #5360

= 1.0.77.55 (27th December 2022) =
* Fixed: Unable to add STN video Ads due to the outdated tag #5334
* Fixed: Jetpack Boost disappears after enabling the AMP Takeover #5343
* Fixed: When implementing callRail analytics, it throws error in console #5344
* Fixed: Fallback attribute is getting stripped when Change Pagination Links to /amp option is enabled #5345
* Fixed: AMP is reacting with the Scripts in the WP root folder #5346
* Fixed: PHP warning appears after activating AMP with WP Fastest Cache #5348

= 1.0.77.54.1 (22nd November 2022) =
* Fixed: PHP Fatal error: Uncaught Value Error #5174

= 1.0.77.54 (21st November 2022) =
* Fixed: Tested compatibility with wp 6.1 #5331
* Fixed: Removed deprecated warning in php 8.1.10 #5333
* Fixed: Resolved STN video Ads due to the outdated tag issue #5334
* New  : BFCM internal offer  #5336

= 1.0.77.53 (25th October 2022) =
* Fixed: Backslash in custom css error #5329
* Fixed: If we enable the Responsive ad option then no need to show size option. #5302
* Fixed: TikTok embed video is not working in AMP #5325
* Fixed: lightbox for Youtube feature is not working properly #5327

= 1.0.77.52 (14th October 2022) =
* Fixed: Duplicate canonical URL when AIOSEO Pro is active. #5320 
* Fixed: Youtube embedded videos via elementor is not displaying in the AMP version #5322
* Fixed: Slide Anything image src not loading properly. #5315
* Fixed: PHP Warning Attempt to read property "post_type" on null #5323
* Fixed: While adding the multiple Webstories  on the website page, the image is not showing of the web stories the AMP Pages. #5301
* Fixed: Author names are not shown in AMP when the Co-Authors Plus plugin is activated #5319 

= 1.0.77.51 (9th September 2022) =
* Fixed: Infinite scroll doesn't work with custom post type. #5309
* Fixed: Need to make it compatible with the Co-Authors Plus plugin  #5313
* Fixed: Slide Anything image src not loading properly. #5315

= 1.0.77.50 (24th August 2022) =
* Fixed: "Back to Top link" option adds amp-animation & amp-position-observer script without its usage on page #5305
* Fixed: AMPforWP is creating "/amp" as an endpoint in Addon mode. #5303
* Improvements: Strange Exclamation mark . #5304

= 1.0.77.49 (22nd August 2022) =
* Fixed: There is a compatibility issue with the latest version of the All in One SEO Plugin. #5306

= 1.0.77.48 (11th August 2022) =
* Improvements: Added Super Related Posts plugin compatibility #5298
* Improvements: Added Inline Related Post plugin compatibility #5296
* Fixed: Fatal error while activating official AMP. #5300
* Fixed: Spotify Embed not working after 1.0.77.46 version #5294
* Fixed: AMP Pagebuilder not loading with All in One SEO latest update #5299

= 1.0.77.47 (5th July 2022) =
* Fixed: AMP validation error when youtube video is embeded with query parameters #5292
* Fixed: Instagram embeds not working when added with blockquote tags #5289

= 1.0.77.46 (28th June 2022) =
* Fixed: Reduced the execution of JS in youtube embeds #5287
* Fixed: Instagram embeds not working when added with iframe #5289
* Fixed: Subchild menu items does not expand with UberMenu plugin
* Fixed: Incorrect default value in TPD #5286
* Fixed: Debug Warnings - Undefined array-key: row #5283

Full changelog available [ at changelog.txt](https://plugins.svn.wordpress.org/accelerated-mobile-pages/trunk/changelog.txt)